#include "leds.h"

volatile int data[100];

void delay()
{
  unsigned int i, j;
  for (j = 0; j < 1000; ++j)
    for (i = 0; i < sizeof(data) / sizeof(data[0]); ++i)
      data[i] = i;
}

int main()
{
  unsigned int i;

  while (1) {
    for (i = 0x1; i < 0x80; i <<= 1) {
      leds_set_state(i);
      delay();
    }
    for (i = 0x80; i > 0x1; i >>= 1) {
      leds_set_state(i);
      delay();
    }
  }

  return 0;
}

